#!/bin/sh
# set root password dialog for Knoppix
# (C) Klaus Knopper 2005

PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin"
export PATH

[ "`id -u`" != "0" ] && exec sudo "$0" "$@"

XDIALOG_HIGH_DIALOG_COMPAT=1
export XDIALOG_HIGH_DIALOG_COMPAT

DIALOG="dialog"
[ -n "$DISPLAY" ] && [ -x /usr/bin/Xdialog ] && DIALOG="Xdialog"

# LANG et al.
[ -f /etc/sysconfig/i18n ] && . /etc/sysconfig/i18n

case "$LANGUAGE" in
	de*|at*|ch*)
	     TITLE="Root-Passwort"
             MESSAGE1="Passwort fr 'root' setzen:"
	     MESSAGE2="Wiederhole Passwort:"
	     MESSAGE3="Passwrter stimmen nicht berein" ;;
	*)   TITLE="Root Password"
             MESSAGE1="Set password for 'root':"
	     MESSAGE2="Retype password:"
	     MESSAGE3="Passwords did not match" ;;
esac

while true; do
	PASSWORD1=$($DIALOG --stdout --passwordbox "$MESSAGE1" 0 0) || break
	PASSWORD2=$($DIALOG --stdout --passwordbox "$MESSAGE2" 0 0) || break
	if [ "$PASSWORD1" = "$PASSWORD2" ] ; then
		echo "root:$PASSWORD1" | chpasswd
		break
		# echo -e "$PASSWORD1\n$PASSWORD1" | smbpasswd -a root -s
	else
		$DIALOG --msgbox "$MESSAGE3" 0 0
	fi
done

exit 0
